Name:           deepin-desktop-base
Version:        2021.09.08
Release:        1%{?dist}
Summary:        Base files for Deepin Desktop
License:        GPLv3
URL:            https://github.com/linuxdeepin/deepin-desktop-base
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
%description
%{summary}.

%package        -n deepin-desktop-server
BuildArch:      noarch
Summary:        Base files for Deepin Desktop Server
Provides:       deepin-desktop-base
Obsoletes:      deepin-desktop-base < %{version}
Provides:       license-config >= 0.0.4-3
Obsoletes:      license-config < 0.0.4-3
Recommends:     deepin-wallpapers
Recommends:     deepin-screensaver

%description    -n deepin-desktop-server
%{summary}.

%prep
%autosetup -n %{name}-%{version}

%build
# Remove Deepin lsb-release
sed -i '/lsb-release/d' Makefile
# update usr/lib/ path
sed -i 's|/usr/lib|%{_datadir}|' Makefile
%make_build

%install
%make_install
## install distribution.info
install -d -p %{buildroot}/%{_datadir}/deepin/distribution/
install -Dm644 distribution.info       %{buildroot}/%{_datadir}/deepin/distribution.info
install -Dm644 distribution/*.svg      %{buildroot}/%{_datadir}/deepin/distribution/
install -Dm644 files/logind.conf   %{buildroot}/%{_sysconfdir}/systemd/logind.conf.d/logind.conf
install -Dm644 files/systemd.conf  %{buildroot}/%{_sysconfdir}/systemd/system.conf.d/systemd.conf
install -Dm644 files/dde-session-ui.conf  %{buildroot}/etc/deepin/dde-session-ui.conf
install -Dm644 files/desktop-version %{buildroot}%{_datadir}/deepin/desktop-version-server
ln -sfv %{_datadir}/deepin/desktop-version-server %{buildroot}%{_sysconfdir}/deepin-version
install -Dm644 files/os-license %{buildroot}/%{_sysconfdir}/.uos/os-license

%files -n deepin-desktop-server
%{_sysconfdir}/deepin-version
%{_datadir}/i18n/*.json
%{_datadir}/deepin/distribution.info
%{_datadir}/deepin/distribution/
%{_datadir}/deepin/desktop-version-server
%{_sysconfdir}/appstore.json
%{_datadir}/plymouth/deepin-logo.png
%{_sysconfdir}/systemd/system.conf.d/systemd.conf
%{_sysconfdir}/systemd/logind.conf.d/logind.conf
%{_datadir}/python-apt/templates/Deepin.info
%{_datadir}/python-apt/templates/Deepin.mirrors
%{_sysconfdir}/deepin/dde-session-ui.conf
%{_sysconfdir}/.uos/os-license
%{_sysconfdir}/os-version
%{_datadir}/deepin/dde-desktop-watermask.json
%{_datadir}/deepin/uos_logo.svg

%exclude %{_sysconfdir}/systemd/logind.conf.d/deepin-base.conf
%exclude %{_sysconfdir}/systemd/system.conf.d/deepin-base.conf
%exclude %{_sysconfdir}/systemd/user.conf.d/deepin-base.conf
%exclude %{_datadir}/deepin/desktop-version
%exclude %{_localstatedir}/uos/os-license

%changelog
* Thu Nov 11 2021 huzhengming <huzhengming@uniontech.com> - 2021.09.08-1
- update to 2021.09.08

* Wed May 26 2021 lichenggang <lichenggang@uniontech.com> - 2021.05.26-1
- update to 2021.05.26

* Tue May 11 2021 panchenbo <panchenbo@uniontech.com> - 2021.05.11-1
- update to 2021.05.11

* Thu Apr 29 2021 panchenbo <panchenbo@uniontech.com> - 2021.04.29-1
- update to 2021.04.29
